Bug 1350845 (CVE-2016-1237)

Summary: CVE-2016-1237 kernel: Missing check for permissions when setting ACL
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, carnil, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, kstutsma, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, pholasek, plougher, pmatouse, rt-maint, rvrbovsk, slawomir, tfrazier, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that nfsd is missing permissions check when setting ACL on files, this may allow a local users to gain access to any file by setting a crafted ACL.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-14 08:53:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1349645, 1350847, 1353091    
Bug Blocks: 1350850    

Description Adam Mariš 2016-06-28 13:42:12 UTC
It was found that nfsd is missing permissions check when setting ACL, which allows local users to gain access to any file by setting ACL.

Introduced in v3.14-rc1 by following commit:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4ac7249ea5a0ceef9f8269f63f33cc873c3fac61

Upstream fix:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=999653786df6954a31044528ac3f7a5dadca08f4

Prerequisite for the fix:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=485e71e8fb6356c08c7fc6bcce4bf02c9a9a663f


CVE request:

http://seclists.org/oss-sec/2016/q2/602

Comment 1 Adam Mariš 2016-06-28 13:44:22 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1350847]

Comment 2 Fedora Update System 2016-07-02 19:25:30 UTC
kernel-4.5.7-202.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Wade Mealing 2016-07-06 04:54:44 UTC
Statement:

This issue does not affect any of Red Hat's shipping products.

Comment 7 Fedora Update System 2016-07-20 00:22:48 UTC
kernel-4.6.4-301.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.